import { Cache, Maybe } from '../main';
export declare type Serialized = {
    key: string;
    value: string;
};
export declare class LruCache implements Cache {
    private _map;
    constructor(size: number);
    read: (key: string) => Maybe<string>;
    write: (key: string, value: string) => void;
}
