import { AsyncCache, Maybe } from '../main';
export declare class Memcached implements AsyncCache {
    private _client;
    private _lifetime;
    constructor(address?: string, lifetime?: number);
    read: (key: string) => Promise<Maybe<string>>;
    write: (key: string, value: string) => Promise<void>;
}
